%{?nodejs_find_provides_and_requires}

%global packagename has-gulplog
%global enable_tests 1

Name:		nodejs-has-gulplog
Version:	0.1.0
Release:	1%{?dist}
Summary:	Check if gulplog is available before attempting to use it

License:	MIT
URL:		https://github.com/gulpjs/has-gulplog.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(sparkles)
%if 0%{?enable_tests}
%endif

%description
Check if gulplog is available before attempting to use it


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/echo -e "\e[102m -=#=- No test suite -=#=- \e[0m"
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Mon Feb 22 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
